Domanda Installa Yarn Ubuntu 16.04 (Linux Mint 18.1)


Ho una nuova installazione di Linux Mint 18.1 con Ubuntu 16.04. Ho installato il Nodo 6.10.0.

Quando si esegue il comando che indica la documentazione di Yarn:

sudo apt-get update && sudo apt-get install yarn

Dice "Impossibile trovare il pacchetto di filati"

Devo fare qualcos'altro, perché nella documentazione non vedo nulla a riguardo.

Grazie.

enter image description here


44
2018-03-05 10:02


origine


risposte:


Su Ubuntu Linux, è possibile installare Yarn tramite il repository di pacchetti Debian. Dovrai prima configurare il repository:

curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list

Quindi puoi semplicemente:

sudo apt-get update && sudo apt-get install yarn

Maggiori informazioni Qui


93
2018-03-05 10:10



Non ero in grado di installare Yarn su Ubuntu 16.04 usando la risposta accettata, ma ho trovato facile con npm:

npm install -g yarn

Quindi verificare l'installazione / versione con

yarn --version


7
2018-03-03 14:59



Vedi su Installazione | Filato | Scheda Linux

Ci sono istruzioni per diverse distribuzioni Linux


5
2017-08-01 20:00



Qui ci sono maggiori dettagli su istruzioni per l'installazione ufficiale.

  1. apt-key comando ottiene la chiave di autenticazione pubblica per il controllo dell'integrazione software.

  2. deb https://dl.yarnpkg.com/debian/ stable main è il repository di Ubuntu che contiene yarn. Guardate lo screenshot di OP, le prime 10 linee elencano i repository esistenti per cercare i pacchetti, ma non c'è quello dei filati. Quindi abbiamo bisogno di aggiungere il repository creando un file /etc/apt/sources.list.d/yarn.list.

  3. Dopo i due passaggi precedenti, problema apt/apt-get comando da aggiungere yarn come i soliti pacchetti di Ubuntu.


1
2017-12-20 20:52